Summary:	A Java wrapper around ffmpeg, using JNA
Name:		ffmpeg-java
Version:	20071012
Release:	%mkrel 0.0.17
License:	LGPLv1
Group:		Development/Java
URL:		http://fmj.sourceforge.net/
Source0:	%{name}.tar.bz2
Patch0:		java-source-version.patch
BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	java-devel
#BuildRequires:	libffmpeg0-devel
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
Requires:	java >= 1.5
Requires:	libffmpeg

%description
ffmpeg-java is a Java wrapper around ffmpeg, using JNA.

%package javadoc
Summary:	Javadoc for ffmpeg-java
Group:		Documentation

%description javadoc
Javadoc for ffmpeg-java.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%__rm src/*.html
%ant javac jar javadoc

#%%ant \
#	-Dffmpeg.home="%%{_includedir}/ffmpeg" \
#	compile-test-linux

%install
# jar
%__install -dm 755 %{buildroot}%{_javadir}/fmj
%__install -pm 644 build/jars/%{name}.jar \
	%{buildroot}%{_javadir}/fmj/%{name}-%{version}.jar
%__install -pm 644 build/jars/%{name}-gpl.jar \
	%{buildroot}%{_javadir}/fmj/%{name}-gpl-%{version}.jar
pushd %{buildroot}%{_javadir}/fmj
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# javadoc
%__install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%files
%doc *.txt LICENSE README
%dir %{_javadir}/fmj
%{_javadir}/fmj/*.jar

%files javadoc
%defattr(0644,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}




%changelog
* Sat Dec 05 2020 luigiwalser <luigiwalser> 20071012-0.0.17.mga8
+ Revision: 1653090
- set java source version to 1.8 to fix build
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Tue Feb 11 2020 umeabot <umeabot> 20071012-0.0.16.mga8
+ Revision: 1490096
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 20071012-0.0.15.mga7
+ Revision: 1261456
- Mageia 7 Mass Rebuild

* Fri Feb 26 2016 daviddavid <daviddavid> 20071012-0.0.14.mga6
+ Revision: 979616
- make it noarch thus fixing as it should empty debuginfo
- add BR on java-devel to fix build
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 20071012-0.0.13.mga6
+ Revision: 874975
- Fix build with new rpm ( empty debuginfo)

* Wed Nov 05 2014 tv <tv> 20071012-0.0.12.mga5
+ Revision: 795704
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 20071012-0.0.11.mga5
+ Revision: 739751
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20071012-0.0.10.mga5
+ Revision: 679169
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 20071012-0.0.9.mga4
+ Revision: 504404
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 20071012-0.0.8.mga3
+ Revision: 350259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 grenoya <grenoya> 20071012-0.0.7.mga1
+ Revision: 64984
- imported package ffmpeg-java


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 20071012-0.0.7mdv2011.0
+ Revision: 618281
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 20071012-0.0.6mdv2010.0
+ Revision: 437540
- rebuild

* Sun Nov 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 20071012-0.0.5mdv2009.1
+ Revision: 306066
- no longer noarch, as it uses arch specific libraries

* Fri Nov 07 2008 Alexander Kurtakov <akurtakov@mandriva.org> 20071012-0.0.4mdv2009.1
+ Revision: 300847
- bump release
- fix requires

* Thu Oct 16 2008 Alexander Kurtakov <akurtakov@mandriva.org> 20071012-0.0.3mdv2009.1
+ Revision: 294120
- bump release
- rebuild for new libffmpeg

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 20071012-0.0.2mdv2009.0
+ Revision: 287020
- fix requires

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 20071012-0.0.1mdv2009.0
+ Revision: 286707
- fix groups
- import ffmpeg-java


